2017-11-19 10:25 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004226Kali Linux[All Projects] Kali Package Bugpublic2017-11-13 13:21
Reportertbr 
Assigned Torhertzog 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.1 
Target VersionFixed in Version2017.3 
Summary0004226: on the same scan target, nmap 7.60 scans run significantly slower or do not complete compared to nmap 7.40
DescriptionOn a current kali 4.12.0-kali1-amd64 0000001 SMP Debian 4.12.6-1kali6 (2017-08-30) x86_64, nmap having version 7.60, nmap scans suddenly take enourmously longer (3+ hours) or do not complete at all. Very same nmap scan of same target at 3 month older kali completes in 15 seconds.

Issue seems to be mainly coming from nmap: When upgrading on the older release only the nmap package from 7.40 to 7.60, leaving everything else untouched, the issue arises already.
Steps To ReproduceWhen scanning the target, we reproducibly found the following behavior:

On a machine running: kali 4.9.0-kali4-amd64 0000001 SMP Debian 4.9.25-1kali1 (2017-05-04) x86_64, nmap having version 7.40, nmap scan of a specific host completes after 15 seconds.

After a dist-upgrade: kali 4.12.0-kali1-amd64 0000001 SMP Debian 4.12.6-1kali6 (2017-08-30) x86_64, nmap having version 7.60, a scan of the same specific host takes 3+ hours and does not complete due to increasingly dropped probes

Additional InformationScan parameters are nothing special, we used for reproducing the issue:
nmap -sV -n -v -p- 192.168.0.x

Attached Files

-Relationships
+Relationships

-Notes

~0007268

rhertzog (administrator)

It's weird. I can reproduce this running in a Kali VM (behind a NATed virtual network), it seems the "SYN Stealth scan" is taking very long.

But when I run the same test outside of the VM on my Debian Unstable machine, then it goes fast but it looks like the SYN stealth scan is not even executed.

~0007373

atdtphreaker (reporter)

I'm experiencing the same...



Thanks.

~0007526

atdtphreaker (reporter)

This continues to be a huge issue.



Thanks.

~0007576

atdtphreaker (reporter)

I'm 30+ minutes into a basic scan (nmap -sV). ...just wanted to touch base on this.


Thanks for your time.

~0007590

sbrun (manager)

I uploaded a new version 7.7.4-0kali2 that should fix this issue.
Please test it.

~0007591

atdtphreaker (reporter)

@sbrun

I tested it using the 'standard' method, in zenmap, through openvpn, and tor/proxychains... ALL working perfectly now!


I appreciate your time, thanks.
+Notes

-Issue History
Date Modified Username Field Change
2017-09-05 14:59 tbr New Issue
2017-09-08 10:32 rhertzog Note Added: 0007268
2017-09-08 10:32 rhertzog Assigned To => rhertzog
2017-09-08 10:32 rhertzog Status new => assigned
2017-09-20 09:00 atdtphreaker Note Added: 0007373
2017-10-14 11:09 atdtphreaker Note Added: 0007526
2017-11-05 06:45 atdtphreaker Note Added: 0007576
2017-11-10 14:21 sbrun Note Added: 0007590
2017-11-11 00:48 atdtphreaker Note Added: 0007591
2017-11-13 13:21 sbrun Status assigned => resolved
2017-11-13 13:21 sbrun Resolution open => fixed
2017-11-13 13:21 sbrun Fixed in Version => 2017.3
+Issue History